summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Deucher <alexdeucher@gmail.com>2009-12-21 18:09:51 -0500
committerDave Airlie <airlied@redhat.com>2009-12-22 09:09:12 +1000
commit6161649bc23a45f43ba886464e54c8eeb573f9b5 (patch)
treedb3c2ff4cb94389baf5e9d14a93f712829b35135
parent5916ee1a41b8d28ec0b0da383acdd7847d66b9ff (diff)
add autogen.sh
-rwxr-xr-xautogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..f028c2c
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
+
+